<?php

declare(strict_types=1);

namespace PpPhp\Core\Diagnostics\Metadata;

final class PluginMetadata extends AbstractMetadata
{
    public function pluginCategory(): string
    {
        return (string) ($this->raw['category'] ?? $this->raw['pluginCategory'] ?? 'general');
    }

}
